#
# spec file for package awesome-freedesktop
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           awesome-freedesktop
Version:        git201209061058
Release:        11.5
Summary:        Desktop entries and menu for awesome
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            https://github.com/terceiro/awesome-freedesktop
Source:         %{name}-%{version}.tar.xz
# PATCH-FIX-OPENSUSE awesome-freedesktop-3.5-compat.patch sor.alexei@meowr.ru -- Use upstream menubar.utils to gain awesome 3.5+ compatibility.
Patch0:         awesome-freedesktop-3.5-compat.patch
Requires:       awesome >= 3.5.0
BuildArch:      noarch

%description
This project aims to add support for freedesktop.org compliant
desktop entries and menu.

Main features:
 * a freedesktop.org-compliant (or almost) applications menu.
 * a freedesktop.org-compliant (or almost) desktop.
 * a (yet limited) icon lookup function.

You can choose any icon theme that's installed in %{_datadir}/icons/.

%prep
%setup -q -n %{name}
%patch0 -p1
# Superseded by menubar.utils (doesn't work with awesome 3.5+).
rm -f freedesktop/utils.lua

%build

%install
mkdir -p %{buildroot}%{_datadir}/awesome/lib/freedesktop/
install -m 0644 freedesktop/*.lua %{buildroot}%{_datadir}/awesome/lib/freedesktop/.

%files
%defattr(-,root,root)
%doc README TODO
%dir %{_datadir}/awesome/
%dir %{_datadir}/awesome/lib/
%{_datadir}/awesome/lib/freedesktop/

%changelog
* Tue Nov 10 2015 sor.alexei@meowr.ru
- Add awesome-freedesktop-3.5-compat.patch (boo#953503).
* Thu Nov  8 2012 toganm@opensuse.org
- Change license to GPL-2.0+
* Wed Oct 31 2012 toganm@opensuse.org
- Update to git version 201209061058
  Cleanup spec to guidelines
* Fri Nov  4 2011 toganm@opensuse.org
- initial checkin via service file
